import { __assign, __rest } from "tslib";
import React, { cloneElement, forwardRef, useContext, } from 'react';
import classnames from 'classnames';
import IconContext from './IconContext';
import { useInsertStyle } from './dynamicStyle';
var prefixClass = 'doly-icon';
var classes = {
    spin: "".concat(prefixClass, "-spin"),
    spinReverse: "".concat(prefixClass, "-spin-reverse"),
};
// svg 默认属性
var defaultSvgProps = {
    'aria-hidden': true,
    focusable: false,
};
var IconBase = forwardRef(function (_a, ref) {
    var _b;
    var spin = _a.spin, spinReverse = _a.spinReverse, className = _a.className, style = _a.style, svgProps = _a.svgProps, children = _a.children, restProps = __rest(_a, ["spin", "spinReverse", "className", "style", "svgProps", "children"]);
    var _c = useContext(IconContext), 
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    csp = _c.csp, ctxSpin = _c.spin, ctxSpinReverse = _c.spinReverse, ctxClassName = _c.className, ctxStyle = _c.style, ctxSvgProps = _c.svgProps, ctxRestProps = __rest(_c, ["csp", "spin", "spinReverse", "className", "style", "svgProps"]);
    var realSpin = typeof spin !== 'undefined' ? spin : ctxSpin;
    var realSpinReverse = typeof spinReverse !== 'undefined' ? spinReverse : ctxSpinReverse;
    useInsertStyle();
    return (React.createElement("span", __assign({ className: classnames(prefixClass, (_b = {},
            _b[classes.spin] = realSpin,
            _b[classes.spinReverse] = realSpinReverse,
            _b), ctxClassName, className), style: __assign(__assign({}, ctxStyle), style) }, ctxRestProps, restProps, { role: "img", ref: ref }), children &&
        cloneElement(children, __assign(__assign(__assign({}, defaultSvgProps), ctxSvgProps), svgProps))));
});
IconBase.displayName = 'IconBase';
export default IconBase;
