import React, { CSSProperties, HTMLAttributes, SVGProps } from 'react';
type StyleWithVariable<V extends string = never> = CSSProperties & Partial<Record<V, string>>;
export interface IconBaseProps extends Omit<HTMLAttributes<HTMLSpanElement>, 'style'> {
    /**
     * @description 旋转动画。
     * @default false
     */
    spin?: boolean;
    /**
     * @description 反向旋转动画，优先级比 spin 高。
     * @default false
     */
    spinReverse?: boolean;
    /**
     * @description svg 标签属性。
     */
    svgProps?: SVGProps<SVGSVGElement>;
    style?: StyleWithVariable<'--doly-icon-font-size' | '--doly-icon-color' | '--doly-icon-spin-duration'>;
}
declare const IconBase: React.ForwardRefExoticComponent<IconBaseProps & React.RefAttributes<HTMLSpanElement>>;
export default IconBase;
