import { IconBaseProps } from './IconBase';
declare const context: import("react").Context<IconBaseProps & {
    /**
     * @description 内容安全政策。
     * @see {@link https://web.dev/articles/csp?hl=zh-cn | 内容安全政策}
     * @see {@link https://developer.mozilla.org/zh-CN/docs/Web/API/HTMLElement/nonce | HTMLElement.nonce}
     */
    csp?: {
        nonce?: string;
    };
}>;
export declare const IconProvider: import("react").Provider<IconBaseProps & {
    /**
     * @description 内容安全政策。
     * @see {@link https://web.dev/articles/csp?hl=zh-cn | 内容安全政策}
     * @see {@link https://developer.mozilla.org/zh-CN/docs/Web/API/HTMLElement/nonce | HTMLElement.nonce}
     */
    csp?: {
        nonce?: string;
    };
}>;
export default context;
