import { ReactElement, Ref } from 'react';
import { IconBaseProps } from './IconBase';
type IconBaseRef = {
    ref?: Ref<HTMLSpanElement>;
};
interface ThirdIconProps extends IconBaseProps, IconBaseRef {
    /**
     * @description svg 组件。
     */
    component: ReactElement;
}
interface SVGSymbolIconProps extends IconBaseProps, IconBaseRef {
    /**
     * @description 使用 SVG Symbol 图标。方便开发者调用在 iconfont 上的图标 或者 使用自定义的 SVG Symbol 。
     * @see {@link https://www.iconfont.cn/ | iconfont}
     * @see {@link https://css-tricks.com/svg-symbol-good-choice-icons/ | SVG symbol a Good Choice for Icons}
     */
    symbolId: string;
}
export type IconProps = ThirdIconProps | SVGSymbolIconProps;
declare function Icon(props: ThirdIconProps): ReactElement;
declare function Icon(props: SVGSymbolIconProps): ReactElement;
export default Icon;
